pydo.security.get_latest_scan()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.security.get_latest_scan(
    per_page=20,
    page=1,
    severity=None,
    type=None,
)
Returns JSONRaises HttpResponseError

Description

To get the latest CSPM scan, send a GET request to /v2/security/scans/latest.

Parameters

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

severity string optional

The finding severity level to include.

One of: LOW, MEDIUM, HIGH, CRITICAL

type string optional

The finding type to include.

Response Example

Show Response Example
{
  "scan": {
    "id": "760e09ef-dc84-11e8-981e-3cfdfeaae000",
    "status": "COMPLETED",
    "created_at": "2025-12-04T00:00:00Z",
    "findings": []
  }
}

More Information

See /v2/security/scans/latest in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.